#
# spec file for package xdotool
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xdotool
Version:        2.2012+git.20130201.65cb0b1
Release:        11.11
Summary:        Fake keyboard/mouse input
License:        BSD-3-Clause
Group:          System/X11/Utilities
#Source:         http://semicomplete.googlecode.com/files/xdotool-%{version}.tar.gz
Source:         xdotool-%{version}.tar.bz2
Url:            http://www.semicomplete.com/projects/xdotool/
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xtst)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This tool lets you programatically (or manually) simulate keyboard input and
mouse activity, move and resize windows, etc. It does this using X11's XTEST
extension and other Xlib functions.

%package devel
Summary:        Development and Library files
Group:          Development/Libraries/X11
Requires:       %{name} = %{version}
Requires:       pkgconfig(x11)

%description devel
This tool lets you programatically (or manually) simulate keyboard input and
mouse activity, move and resize windows, etc. It does this using X11's XTEST
extension and other Xlib functions.

Library and Header files for %{name}

%prep
%setup -q

%build
# Fix file permissions
chmod 0644 examples/ffsp.sh
export WARNFLAGS="$RPM_OPT_FLAGS"
%__make %{?_smp_mflags}

%install
%{__make} \
    DESTDIR=%{buildroot} \
    PREFIX=%{_prefix} \
    INSTALLLIB=%{_libdir} \
    INSTALLMAN=%{_mandir} \
    install

%__chmod 0644 examples/*

%post -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%clean
%{__rm} -rf '%{buildroot}'

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc CHANGELIST COPYRIGHT README
%doc examples
%{_mandir}/man1/%{name}.1*
%{_libdir}/libxdo.so.*

%files devel
%defattr(-,root,root)
%attr(0644,root,root) %{_includedir}/*.h
%{_libdir}/libxdo.so

%changelog
* Sat Nov  1 2014 crrodriguez@opensuse.org
-  Switch to individual pkgconfig() build requires
  instead of using metapackage xorg-x11-devel
- "as-needed" build works, remove SUSE_ASNEEDED workaround.
- xdotool-devel requires pkgconfig(x11)
* Fri Mar  8 2013 aspiers@suse.com
- update to github master @ e0a3e8fb
  + don't try to access xdo until after we verify it's not null. (#18, reported by zarelit)
  + mark swedish and danish symbol typing as known-broken, allow skipping them by setting $SKIP_KNOWN_BROKEN_TESTS
  + provide a way to override which specific test combinations are run
  + create a way to build xdotool without setting rpath (see e.g. https://wiki.debian.org/RpathIssue)
  + include the CPPFLAGS variable for C preprocessor flags
  + Avoid unnecessary double linking
  + bump major version due to API overhaul (including function name normalization)
  + constify display argument in xdo_new() since it will not be modified.
  + allow xdo_free(NULL) without segfaults
* Fri Oct 26 2012 aspiers@suse.com
- add disabled source service and update to github master @ 118979c5
  + Don't translate a window's location if its parent is the root.
  + Fixed merge conflict
  + Fixed an error in xdo_get_window_property
  + Merge miss
  + Unified naming convention for all functions of the API
  + Changed the behaviour of xdo_get_window_property
  + Remove xdo_version.h when cleaning
  + Removed all signed/unsigned conflicts
  + Changed XKeycodeToKeysym to XkbKeycodeToKeysym to get rid of compilation warnings
  + Changed name on xdo_getwinprop() to xdo_window_get_property()
  + Fixed some minor compilation warnings
  + Replaced xdo_get_active_modifiers with xdo_active_keys_to_keycode_list
  + Fix another C++ reserved word issue. Reported in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=663007
  + add '--file' argument for the type command
  + don't emit 'findclient' messages
  + Hack linker rpath to solve problem of /usr/local/lib (or elsewhere) not being in the run-time linker path (see ldd, etc).
  + abort if we're using a shell that probably won't work
  + fix librt linking on GNU Hurd
  + drop isatty for good (not sure why it was still here). This fixes the 'test_script' test when stdin is /dev/null. Patch by Daniel Kahn Gillmor.
  + add kfreebsd patch from Daniel Kahn Gillmor
  + add todos
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Jan  6 2011 malcolmlewis@opensuse.org
- New version (Refer CHANGELIST)
- Drop asneeded patch
- Add man page patch
  http://code.google.com/p/semicomplete/issues/detail?id=46
- Update/Clean spec file
- Add devel package
* Wed Aug 19 2009 meissner@suse.de
- fixed build with asneeded
* Sun Apr  5 2009 mhrusecky@suse.cz
- First version of package (20090330)
